package com.steering.pss.plnsaleord.planStove.entity;
/**
 * 数据库表QCM_BC_JUDGE_CHANGE所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20180117CCCC   date 2018-08-15
 */
@SuppressWarnings("serial")
public class QcmBcJudgeChangeEntity implements java.io.Serializable {
    /**
     * 改判记录ID(年月日+5位流水号)
     */
    private String judgeId = "";
    /**
     * 炉号（改判前）
     */
    private String judgeStoveNoOld = "";
    /**
     * 批号（改判前）
     */
    private String batchNoOld = "";
    /**
     * 组号（改判前）
     */
    private String batchGroudNoOld = "";
    /**
     * 改判总支数
     */
    private String actCount = "";
    /**
     * 改判总重量(吨)
     */
    private String actWeight = "";
    /**
     * 炉号（改判后）审批通过后回写
     */
    private String judgeStoveNo = "";
    /**
     * 批号（改判后）审批通过后回写
     */
    private String batchNo = "";
    /**
     * 组号（改判后）审批通过后回写
     */
    private String batchGroudNo = "";
    /**
     * 物料编码（改判前）
     */
    private String materialNoOld = "";
    /**
     * 物料描述（改判前）
     */
    private String materialNameOld = "";
    /**
     * 品名代码（改判前）
     */
    private String produccodeOld = "";
    /**
     * 品名描述（改判前）
     */
    private String producnameOld = "";
    /**
     * 钢级(牌号)代码（改判前）
     */
    private String steelcodeOld = "";
    /**
     * 钢级(牌号)名称（改判前）
     */
    private String steelnameOld = "";
    /**
     * 产品规格代码（改判前）
     */
    private String specCodeOld = "";
    /**
     * 产品规格描述（改判前）
     */
    private String specNameOld = "";
    /**
     * 扣型代码（改判前）
     */
    private String modelCodeOld = "";
    /**
     * 扣型描述（改判前）
     */
    private String modelDescOld = "";
    /**
     * 标准类别代码（改判前）
     */
    private String stdStyleOld = "";
    /**
     * 标准类别描述（改判前）
     */
    private String stdStyleDescOld = "";
    /**
     * 物料编码（改判后）
     */
    private String materialNo = "";
    /**
     * 物料描述（改判后）
     */
    private String materialName = "";
    /**
     * 品名代码（改判后）
     */
    private String produccode = "";
    /**
     * 品名描述（改判后）
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码（改判后）
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称（改判后）
     */
    private String steelname = "";
    /**
     * 产品规格代码（改判后）
     */
    private String specCode = "";
    /**
     * 产品规格描述（改判后）
     */
    private String specName = "";
    /**
     * 扣型代码（改判后）
     */
    private String modelCode = "";
    /**
     * 扣型描述（改判后）
     */
    private String modelDesc = "";
    /**
     * 标准类别代码（改判后）
     */
    private String stdStyle = "";
    /**
     * 标准类别描述（改判后）
     */
    private String stdStyleDesc = "";
    /**
     * 申请人
     */
    private String createName = "";
    /**
     * 申请时间
     */
    private String createTime = "";
    /**
     * 提交人
     */
    private String submitName = "";
    /**
     * 提交时间
     */
    private String submitTime = "";
    /**
     * 审批人
     */
    private String agreeName = "";
    /**
     * 审批时间
     */
    private String agreeTime = "";
    /**
     * 审批状态(‘0':未提交审批；'1':提交审批；'2':审批通过；'3':审批不通过
     */
    private String agreeFlag = "";
    /**
     * 申请改判说明
     */
    private String createMemo = "";
    /**
     * 提交改判说明
     */
    private String submitMemo = "";
    /**
     * 审批改判说明
     */
    private String agreeMemo = "";
    /**
     * 有效标志(0:无效；1：有效）
     */
    private String validFlag = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 工序代码
     */
    private String processCdoe = "";

    /**
     * 改判记录ID(年月日+5位流水号)
     * @return value
     */
    public String getJudgeId() {
        return judgeId;
    }

    /**
     * 改判记录ID(年月日+5位流水号)
     * @param judgeId value
     */
    public void setJudgeId(String judgeId) {
        this.judgeId = judgeId;
    }

    /**
     * 炉号（改判前）
     * @return value
     */
    public String getJudgeStoveNoOld() {
        return judgeStoveNoOld;
    }

    /**
     * 炉号（改判前）
     * @param judgeStoveNoOld value
     */
    public void setJudgeStoveNoOld(String judgeStoveNoOld) {
        this.judgeStoveNoOld = judgeStoveNoOld;
    }

    /**
     * 批号（改判前）
     * @return value
     */
    public String getBatchNoOld() {
        return batchNoOld;
    }

    /**
     * 批号（改判前）
     * @param batchNoOld value
     */
    public void setBatchNoOld(String batchNoOld) {
        this.batchNoOld = batchNoOld;
    }

    /**
     * 组号（改判前）
     * @return value
     */
    public String getBatchGroudNoOld() {
        return batchGroudNoOld;
    }

    /**
     * 组号（改判前）
     * @param batchGroudNoOld value
     */
    public void setBatchGroudNoOld(String batchGroudNoOld) {
        this.batchGroudNoOld = batchGroudNoOld;
    }

    /**
     * 改判总支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 改判总支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 改判总重量(吨)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 改判总重量(吨)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 炉号（改判后）审批通过后回写
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号（改判后）审批通过后回写
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（改判后）审批通过后回写
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（改判后）审批通过后回写
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号（改判后）审批通过后回写
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号（改判后）审批通过后回写
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 物料编码（改判前）
     * @return value
     */
    public String getMaterialNoOld() {
        return materialNoOld;
    }

    /**
     * 物料编码（改判前）
     * @param materialNoOld value
     */
    public void setMaterialNoOld(String materialNoOld) {
        this.materialNoOld = materialNoOld;
    }

    /**
     * 物料描述（改判前）
     * @return value
     */
    public String getMaterialNameOld() {
        return materialNameOld;
    }

    /**
     * 物料描述（改判前）
     * @param materialNameOld value
     */
    public void setMaterialNameOld(String materialNameOld) {
        this.materialNameOld = materialNameOld;
    }

    /**
     * 品名代码（改判前）
     * @return value
     */
    public String getProduccodeOld() {
        return produccodeOld;
    }

    /**
     * 品名代码（改判前）
     * @param produccodeOld value
     */
    public void setProduccodeOld(String produccodeOld) {
        this.produccodeOld = produccodeOld;
    }

    /**
     * 品名描述（改判前）
     * @return value
     */
    public String getProducnameOld() {
        return producnameOld;
    }

    /**
     * 品名描述（改判前）
     * @param producnameOld value
     */
    public void setProducnameOld(String producnameOld) {
        this.producnameOld = producnameOld;
    }

    /**
     * 钢级(牌号)代码（改判前）
     * @return value
     */
    public String getSteelcodeOld() {
        return steelcodeOld;
    }

    /**
     * 钢级(牌号)代码（改判前）
     * @param steelcodeOld value
     */
    public void setSteelcodeOld(String steelcodeOld) {
        this.steelcodeOld = steelcodeOld;
    }

    /**
     * 钢级(牌号)名称（改判前）
     * @return value
     */
    public String getSteelnameOld() {
        return steelnameOld;
    }

    /**
     * 钢级(牌号)名称（改判前）
     * @param steelnameOld value
     */
    public void setSteelnameOld(String steelnameOld) {
        this.steelnameOld = steelnameOld;
    }

    /**
     * 产品规格代码（改判前）
     * @return value
     */
    public String getSpecCodeOld() {
        return specCodeOld;
    }

    /**
     * 产品规格代码（改判前）
     * @param specCodeOld value
     */
    public void setSpecCodeOld(String specCodeOld) {
        this.specCodeOld = specCodeOld;
    }

    /**
     * 产品规格描述（改判前）
     * @return value
     */
    public String getSpecNameOld() {
        return specNameOld;
    }

    /**
     * 产品规格描述（改判前）
     * @param specNameOld value
     */
    public void setSpecNameOld(String specNameOld) {
        this.specNameOld = specNameOld;
    }

    /**
     * 扣型代码（改判前）
     * @return value
     */
    public String getModelCodeOld() {
        return modelCodeOld;
    }

    /**
     * 扣型代码（改判前）
     * @param modelCodeOld value
     */
    public void setModelCodeOld(String modelCodeOld) {
        this.modelCodeOld = modelCodeOld;
    }

    /**
     * 扣型描述（改判前）
     * @return value
     */
    public String getModelDescOld() {
        return modelDescOld;
    }

    /**
     * 扣型描述（改判前）
     * @param modelDescOld value
     */
    public void setModelDescOld(String modelDescOld) {
        this.modelDescOld = modelDescOld;
    }

    /**
     * 标准类别代码（改判前）
     * @return value
     */
    public String getStdStyleOld() {
        return stdStyleOld;
    }

    /**
     * 标准类别代码（改判前）
     * @param stdStyleOld value
     */
    public void setStdStyleOld(String stdStyleOld) {
        this.stdStyleOld = stdStyleOld;
    }

    /**
     * 标准类别描述（改判前）
     * @return value
     */
    public String getStdStyleDescOld() {
        return stdStyleDescOld;
    }

    /**
     * 标准类别描述（改判前）
     * @param stdStyleDescOld value
     */
    public void setStdStyleDescOld(String stdStyleDescOld) {
        this.stdStyleDescOld = stdStyleDescOld;
    }

    /**
     * 物料编码（改判后）
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料编码（改判后）
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描述（改判后）
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描述（改判后）
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 品名代码（改判后）
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码（改判后）
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述（改判后）
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述（改判后）
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码（改判后）
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码（改判后）
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称（改判后）
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称（改判后）
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 产品规格代码（改判后）
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码（改判后）
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述（改判后）
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述（改判后）
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码（改判后）
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码（改判后）
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述（改判后）
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述（改判后）
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准类别代码（改判后）
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码（改判后）
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述（改判后）
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述（改判后）
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 申请人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 申请人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 申请时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 申请时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 提交人
     * @return value
     */
    public String getSubmitName() {
        return submitName;
    }

    /**
     * 提交人
     * @param submitName value
     */
    public void setSubmitName(String submitName) {
        this.submitName = submitName;
    }

    /**
     * 提交时间
     * @return value
     */
    public String getSubmitTime() {
        return submitTime;
    }

    /**
     * 提交时间
     * @param submitTime value
     */
    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    /**
     * 审批人
     * @return value
     */
    public String getAgreeName() {
        return agreeName;
    }

    /**
     * 审批人
     * @param agreeName value
     */
    public void setAgreeName(String agreeName) {
        this.agreeName = agreeName;
    }

    /**
     * 审批时间
     * @return value
     */
    public String getAgreeTime() {
        return agreeTime;
    }

    /**
     * 审批时间
     * @param agreeTime value
     */
    public void setAgreeTime(String agreeTime) {
        this.agreeTime = agreeTime;
    }

    /**
     * 审批状态(‘0':未提交审批；'1':提交审批；'2':审批通过；'3':审批不通过
     * @return value
     */
    public String getAgreeFlag() {
        return agreeFlag;
    }

    /**
     * 审批状态(‘0':未提交审批；'1':提交审批；'2':审批通过；'3':审批不通过
     * @param agreeFlag value
     */
    public void setAgreeFlag(String agreeFlag) {
        this.agreeFlag = agreeFlag;
    }

    /**
     * 申请改判说明
     * @return value
     */
    public String getCreateMemo() {
        return createMemo;
    }

    /**
     * 申请改判说明
     * @param createMemo value
     */
    public void setCreateMemo(String createMemo) {
        this.createMemo = createMemo;
    }

    /**
     * 提交改判说明
     * @return value
     */
    public String getSubmitMemo() {
        return submitMemo;
    }

    /**
     * 提交改判说明
     * @param submitMemo value
     */
    public void setSubmitMemo(String submitMemo) {
        this.submitMemo = submitMemo;
    }

    /**
     * 审批改判说明
     * @return value
     */
    public String getAgreeMemo() {
        return agreeMemo;
    }

    /**
     * 审批改判说明
     * @param agreeMemo value
     */
    public void setAgreeMemo(String agreeMemo) {
        this.agreeMemo = agreeMemo;
    }

    /**
     * 有效标志(0:无效；1：有效）
     * @return value
     */
    public String getValidFlag() {
        return validFlag;
    }

    /**
     * 有效标志(0:无效；1：有效）
     * @param validFlag value
     */
    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }
}